Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.data
Class HeaderType

    java.lang.Object
      com.tibco.bpm.web.client.model.types.data.HeaderType

    public class HeaderType

extends java.lang.Object

TODO Give a useful description of the type.

©2013 TIBCO Software Inc.

Since:
  TODO

Constructor Summary
`HeaderType()`

Method Summary
`java.lang.String` | `getDescription()`
`java.lang.String` | `getDistributionStrategy()`
`java.lang.String` | `getEndDate()`
`FlagsType` | `getFlags()`
`ItemContextType` | `getItemContext()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPriority()`
`java.lang.String` | `getStartDate()`
`void` | `setDescription(java.lang.String description)`
`void` | `setDistributionStrategy(java.lang.String distributionStrategy)`
`void` | `setEndDate(java.lang.String endDate)`
`void` | `setFlags(FlagsType flags)`
`void` | `setItemContext(ItemContextType itemContext)`
`void` | `setName(java.lang.String name)`
`void` | `setPriority(java.lang.String priority)`
`void` | `setStartDate(java.lang.String startDate)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HeaderType

    public HeaderType()

Method Detail

### getDistributionStrategy

    public java.lang.String getDistributionStrategy()

### setDistributionStrategy

    public void setDistributionStrategy(java.lang.String distributionStrategy)

### getPriority

    public java.lang.String getPriority()

### setPriority

    public void setPriority(java.lang.String priority)

### getStartDate

    public java.lang.String getStartDate()

### setStartDate

    public void setStartDate(java.lang.String startDate)

### getEndDate

    public java.lang.String getEndDate()

### setEndDate

    public void setEndDate(java.lang.String endDate)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getItemContext

    public ItemContextType getItemContext()

### setItemContext

    public void setItemContext(ItemContextType itemContext)

### getFlags

    public FlagsType getFlags()

### setFlags

    public void setFlags(FlagsType flags)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.